summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreroen2013-02-18 13:51:01 +0100
committereroen2013-02-18 13:51:01 +0100
commit7538acad72b1f36395058416af49a27097c81cfb (patch)
tree14ff2b139ff7c77e4cd2b4d53b89a649463e98d5
parent4ce0277a773d28ed3e27004debf0618a231550fb (diff)
downloaderoen-overlay-7538acad72b1f36395058416af49a27097c81cfb.tar.gz
eroen-overlay-7538acad72b1f36395058416af49a27097c81cfb.tar.bz2
eroen-overlay-7538acad72b1f36395058416af49a27097c81cfb.tar.xz
openmw live ebuilds
made for commits: master -- 04001717e7b6b7bf9dddaa05d45efc04a6a1508c next -- 0713afb97dda0c173487b2a1b418bc89579c630f
-rw-r--r--games-engines/openmw/Manifest5
-rw-r--r--games-engines/openmw/files/0001-fix-BINDIR.patch25
-rw-r--r--games-engines/openmw/files/0002-libc-fixes.patch61
-rw-r--r--games-engines/openmw/metadata.xml8
-rw-r--r--games-engines/openmw/openmw-9998.ebuild61
-rw-r--r--games-engines/openmw/openmw-9999.ebuild61
-rw-r--r--licenses/DaedricFont10
7 files changed, 231 insertions, 0 deletions
diff --git a/games-engines/openmw/Manifest b/games-engines/openmw/Manifest
new file mode 100644
index 00000000..62f69fa9
--- /dev/null
+++ b/games-engines/openmw/Manifest
@@ -0,0 +1,5 @@
+AUX 0001-fix-BINDIR.patch 1045 SHA256 bc9562d84c8416fe09891cb003294db465d89efef470e7ff6afb9c50e41738e7 SHA512 ddeb17d1f7270858b61cafa20fe9e51f967d0a4c6868e1f7fdb30043460c5ec0ac31b668a81e8b88e8ad4081953eb06db35be074f4331501a62ca41094453eab WHIRLPOOL 05d162a57e7e7234cb75bbc721f21de776064e9ff3478c6440a6b47aaf354c0e5a0c57592c340ca6490d1073eaea8c45ddc6ede5d60b8887149dd6fb0c1dc0ce
+AUX 0002-libc-fixes.patch 1980 SHA256 4d54203f5b3eff5dec6bc9dc27d04de8c482482b2658614740e3926bc1b7be18 SHA512 fb7d68b1ac0a837617ad6e38bdab5f3a4bdd0fb4cfa224bae45eeb5006b97671a836d5cc5cd0ae1131f57c4f145d575555bd1146dfb9eb489daebe414a961fdc WHIRLPOOL 55096b0e222b42ad52f5a87054f433214795b104d9060fcdded0ffee76ce773f82df552919545e35e3b961fb0620133ddaf922e00329d7a2a223829db1144842
+EBUILD openmw-9998.ebuild 1609 SHA256 4d4a2f44e22fdab3e8549c4f6107c05141ca97093a32fcba3b722ace28fa57fc SHA512 28335998e6d6ca8a1b2863b4a3086dcc2d16ecbecc65a9d47f02ffb4bd4b9d7c517bf65caf137788479f73ed4b6c7612b58b2a1c77f16f686c7ed347b8f0614c WHIRLPOOL b36f928533519f852c18a1b680b9b05f7bbb90010b336e84e4a47b04b3c3f3c3c4f6504e5289ae4c96f3ea7ea5e4383883efb76286106f501e6b7bb104f79847
+EBUILD openmw-9999.ebuild 1609 SHA256 4d4a2f44e22fdab3e8549c4f6107c05141ca97093a32fcba3b722ace28fa57fc SHA512 28335998e6d6ca8a1b2863b4a3086dcc2d16ecbecc65a9d47f02ffb4bd4b9d7c517bf65caf137788479f73ed4b6c7612b58b2a1c77f16f686c7ed347b8f0614c WHIRLPOOL b36f928533519f852c18a1b680b9b05f7bbb90010b336e84e4a47b04b3c3f3c3c4f6504e5289ae4c96f3ea7ea5e4383883efb76286106f501e6b7bb104f79847
+MISC metadata.xml 378 SHA256 cf1d0adba9aded901ebdac00befbdaa6665e37c8a4f43bce402ddfbcfdb58ff1 SHA512 3a8bc1effedb29ee006beee99f63d0b3a8f70ec4f67a0524456c685f46cee0c8f60e29c6facc613a4484744a119a7529defa515856eb85e6df8023058e9ea3b6 WHIRLPOOL 73215f7b1130b50b3c4876c1e0a6c293f7c7ca215e71686c1dfb0895168051162c5d4e78b83a12dada163b4b6124efddbee4282aa4d7d8fe633ebdd709c5aa1d
diff --git a/games-engines/openmw/files/0001-fix-BINDIR.patch b/games-engines/openmw/files/0001-fix-BINDIR.patch
new file mode 100644
index 00000000..673ad26f
--- /dev/null
+++ b/games-engines/openmw/files/0001-fix-BINDIR.patch
@@ -0,0 +1,25 @@
+From eec9aef39cc2380eda93b58d4a9b4e0a01d96a58 Mon Sep 17 00:00:00 2001
+From: eroen <eroen@occam.eroen.eu>
+Date: Mon, 18 Feb 2013 06:51:22 +0100
+Subject: [PATCH 1/2] fix BINDIR
+
+---
+ CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 577b6f6..e02520d 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -647,7 +647,7 @@ endif (APPLE)
+ if (NOT WIN32 AND NOT DPKG_PROGRAM AND NOT APPLE)
+ ## Non Debian based Linux building
+ # paths
+- set(BINDIR "${CMAKE_INSTALL_PREFIX}/usr/bin" CACHE PATH "Where to install binaries")
++ set(BINDIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE PATH "Where to install binaries")
+ set(DATAROOTDIR "${CMAKE_INSTALL_PREFIX}/share" CACHE PATH "Sets the root of data directories to a non-default location")
+ set(DATADIR "${DATAROOTDIR}/openmw" CACHE PATH "Sets the openmw data directories to a non-default location")
+ set(DOCDIR "${DATAROOTDIR}/doc/openmw" CACHE PATH "Sets the doc directory to a non-default location.")
+--
+1.8.1.2
+
diff --git a/games-engines/openmw/files/0002-libc-fixes.patch b/games-engines/openmw/files/0002-libc-fixes.patch
new file mode 100644
index 00000000..f822fb68
--- /dev/null
+++ b/games-engines/openmw/files/0002-libc-fixes.patch
@@ -0,0 +1,61 @@
+From ed979b28c529f787be01ea08d2cbb9752ee13005 Mon Sep 17 00:00:00 2001
+From: eroen <eroen@occam.eroen.eu>
+Date: Mon, 18 Feb 2013 08:04:12 +0100
+Subject: [PATCH 2/2] libc++ fixes
+
+---
+ apps/openmw/mwsound/ffmpeg_decoder.hpp | 4 ++--
+ components/files/configurationmanager.hpp | 8 ++------
+ 2 files changed, 4 insertions(+), 8 deletions(-)
+
+diff --git a/apps/openmw/mwsound/ffmpeg_decoder.hpp b/apps/openmw/mwsound/ffmpeg_decoder.hpp
+index 32b2797..a5e5b50 100644
+--- a/apps/openmw/mwsound/ffmpeg_decoder.hpp
++++ b/apps/openmw/mwsound/ffmpeg_decoder.hpp
+@@ -1,8 +1,6 @@
+ #ifndef GAME_SOUND_FFMPEG_DECODER_H
+ #define GAME_SOUND_FFMPEG_DECODER_H
+
+-#include <string>
+-
+ // FIXME: This can't be right? The headers refuse to build without UINT64_C,
+ // which only gets defined in stdint.h in either C99 mode or with this macro
+ // defined...
+@@ -14,6 +12,8 @@ extern "C"
+ #include <libavformat/avformat.h>
+ }
+
++#include <string>
++
+ #include "sound_decoder.hpp"
+
+
+diff --git a/components/files/configurationmanager.hpp b/components/files/configurationmanager.hpp
+index 9056e79..d6a57af 100644
+--- a/components/files/configurationmanager.hpp
++++ b/components/files/configurationmanager.hpp
+@@ -1,11 +1,7 @@
+ #ifndef COMPONENTS_FILES_CONFIGURATIONMANAGER_HPP
+ #define COMPONENTS_FILES_CONFIGURATIONMANAGER_HPP
+
+-#ifdef _WIN32
+-#include <boost/tr1/tr1/unordered_map>
+-#else
+-#include <tr1/unordered_map>
+-#endif
++#include <unordered_map>
+
+ #include <boost/program_options.hpp>
+
+@@ -48,7 +44,7 @@ struct ConfigurationManager
+ typedef Files::FixedPath<> FixedPathType;
+
+ typedef const boost::filesystem::path& (FixedPathType::*path_type_f)() const;
+- typedef std::tr1::unordered_map<std::string, path_type_f> TokensMappingContainer;
++ typedef std::unordered_map<std::string, path_type_f> TokensMappingContainer;
+
+ void loadConfig(const boost::filesystem::path& path,
+ boost::program_options::variables_map& variables,
+--
+1.8.1.2
+
diff --git a/games-engines/openmw/metadata.xml b/games-engines/openmw/metadata.xml
new file mode 100644
index 00000000..d47dba82
--- /dev/null
+++ b/games-engines/openmw/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <longdescription lang="en">
+ OpenMW is an attempt to reimplement the popular role playing game Morrowind. It aims to be a fully playable, open source implementation of the game. You must own Morrowind to use OpenMW.
+ </longdescription>
+</pkgmetadata>
+
diff --git a/games-engines/openmw/openmw-9998.ebuild b/games-engines/openmw/openmw-9998.ebuild
new file mode 100644
index 00000000..af79bbc9
--- /dev/null
+++ b/games-engines/openmw/openmw-9998.ebuild
@@ -0,0 +1,61 @@
+# By Eroen, 2013
+# Distributed under the terms of the ISC license
+# $Header: $
+
+EAPI=5 # -hdepend nerfed by eclasses
+
+inherit eutils games cmake-utils
+[ ${PV} -ge 9998 ] && inherit git-2
+
+DESCRIPTION="Unofficial open source engine reimplementation of the game Morrowind"
+HOMEPAGE="https://openmw.org/"
+LICENSE="GPL-3 BitstreamVera DaedricFont OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+if [ ${PV} -ge 9998 ]; then
+ EGIT_REPO_URI="git://github.com/zinnschlag/openmw.git"
+ [ ${PV} -eq 9999 ] && EGIT_BRANCH="next"
+else
+ SRC_URI="https://openmw.googlecode.com/files/${PN}_${PV}.orig.tar.bz2"
+fi
+
+HDEPEND=">=dev-util/cmake-2.8"
+LIBDEPEND="dev-games/ogre[boost,cg,freeimage,ois,opengl,threads,zip]
+ dev-games/mygui
+ dev-libs/boost[threads]
+ media-libs/openal
+ sci-physics/bullet
+ virtual/ffmpeg
+ x11-libs/qt-core
+ x11-libs/qt-gui
+ x11-libs/qt-xmlpatterns"
+DEPEND="${LIBDEPEND}"
+[[ ${EAPI} == *-hdepend ]] || DEPEND+=" ${HDEPEND}"
+RDEPEND="${LIBDEPEND}"
+#test: gmock gtest
+
+src_prepare() {
+ epatch "${FILESDIR}"/0001-fix-BINDIR.patch
+ epatch "${FILESDIR}"/0002-libc-fixes.patch
+ epatch_user
+}
+
+src_configure() {
+ mycmakeargs=(
+ -DCMAKE_INSTALL_PREFIX="${GAMES_PREFIX}"
+ -DDATAROOTDIR="${GAMES_DATADIR}"
+ -DSYSCONFDIR="${GAMES_SYSCONFDIR}"/${PN}
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ sed -e "s:resources=resources:resources=${GAMES_DATADIR}/${PN}/resources:" \
+ -i "${D}/${GAMES_SYSCONFDIR}"/${PN}/openmw.cfg || die "sed failed"
+ prepgamesdirs
+ mv -t "${D}"/etc "${D}/${GAMES_SYSCONFDIR}"/${PN} || die "mv failed"
+ rmdir "${D}/${GAMES_SYSCONFDIR}" || die "rmdir failed"
+}
diff --git a/games-engines/openmw/openmw-9999.ebuild b/games-engines/openmw/openmw-9999.ebuild
new file mode 100644
index 00000000..af79bbc9
--- /dev/null
+++ b/games-engines/openmw/openmw-9999.ebuild
@@ -0,0 +1,61 @@
+# By Eroen, 2013
+# Distributed under the terms of the ISC license
+# $Header: $
+
+EAPI=5 # -hdepend nerfed by eclasses
+
+inherit eutils games cmake-utils
+[ ${PV} -ge 9998 ] && inherit git-2
+
+DESCRIPTION="Unofficial open source engine reimplementation of the game Morrowind"
+HOMEPAGE="https://openmw.org/"
+LICENSE="GPL-3 BitstreamVera DaedricFont OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+if [ ${PV} -ge 9998 ]; then
+ EGIT_REPO_URI="git://github.com/zinnschlag/openmw.git"
+ [ ${PV} -eq 9999 ] && EGIT_BRANCH="next"
+else
+ SRC_URI="https://openmw.googlecode.com/files/${PN}_${PV}.orig.tar.bz2"
+fi
+
+HDEPEND=">=dev-util/cmake-2.8"
+LIBDEPEND="dev-games/ogre[boost,cg,freeimage,ois,opengl,threads,zip]
+ dev-games/mygui
+ dev-libs/boost[threads]
+ media-libs/openal
+ sci-physics/bullet
+ virtual/ffmpeg
+ x11-libs/qt-core
+ x11-libs/qt-gui
+ x11-libs/qt-xmlpatterns"
+DEPEND="${LIBDEPEND}"
+[[ ${EAPI} == *-hdepend ]] || DEPEND+=" ${HDEPEND}"
+RDEPEND="${LIBDEPEND}"
+#test: gmock gtest
+
+src_prepare() {
+ epatch "${FILESDIR}"/0001-fix-BINDIR.patch
+ epatch "${FILESDIR}"/0002-libc-fixes.patch
+ epatch_user
+}
+
+src_configure() {
+ mycmakeargs=(
+ -DCMAKE_INSTALL_PREFIX="${GAMES_PREFIX}"
+ -DDATAROOTDIR="${GAMES_DATADIR}"
+ -DSYSCONFDIR="${GAMES_SYSCONFDIR}"/${PN}
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ sed -e "s:resources=resources:resources=${GAMES_DATADIR}/${PN}/resources:" \
+ -i "${D}/${GAMES_SYSCONFDIR}"/${PN}/openmw.cfg || die "sed failed"
+ prepgamesdirs
+ mv -t "${D}"/etc "${D}/${GAMES_SYSCONFDIR}"/${PN} || die "mv failed"
+ rmdir "${D}/${GAMES_SYSCONFDIR}" || die "rmdir failed"
+}
diff --git a/licenses/DaedricFont b/licenses/DaedricFont
new file mode 100644
index 00000000..a1553d0b
--- /dev/null
+++ b/licenses/DaedricFont
@@ -0,0 +1,10 @@
+Dongle's Oblivion Daedric font set
+http://www.uesp.net/wiki/Lore:Daedric_Alphabet#Daedric_Font
+
+---------------------------------------------------
+
+This was done entirely as a personal project. Bethesda Softworks graciously granted me the permission for it. I am not connected with them in any way.
+You may freely use these fonts to create anything you'd like. You may re-distribute the fonts freely, over the Internet, or by any other means. Always keep the .zip file intact, and this read me included.
+Please do not modify and redistribute the fonts without my permission.
+You may NOT sell any of these fonts under any circumstances. This includes putting them on compilation font CDs for sale, putting them in a "members only" pay-area of a website, or any other means of financial gain connected in ANY way with the redistribution of any of these fonts.
+You have my permission to create and sell any artwork made with these fonts, however you may need to contact Bethesda Softworks before doing so.